Skip to main content
POST
/
leads
/
interested
/
{leadIdOrEmail}
Mark Lead as Interested
curl --request POST \
  --url https://api.lemlist.com/api/leads/interested/{leadIdOrEmail} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/leads/interested/{leadIdOrEmail}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/leads/interested/{leadIdOrEmail}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/leads/interested/{leadIdOrEmail}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/leads/interested/{leadIdOrEmail}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
[
  {
    "firstName": "John",
    "lastName": "Doe",
    "companyName": "Acme Inc",
    "jobTitle": "Growth Engineer",
    "companyDomain": "example.com",
    "email": "support@lemlist.com",
    "preferredContactMethod": "email",
    "industry": "Technology",
    "Company name": "John Doe",
    "_id": "lea_fiDpiGV585wy3Oii2",
    "isPaused": false,
    "campaignId": "cam_bSn8EORHQxbWPjHvu",
    "contactId": "ctc_xW8Ou6C03Csv8vatp",
    "emailStatus": "deliverable"
  }
]
"Lead not found"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

leadIdOrEmail
string
required

The unique identifier or email of the lead

Response

Success

firstName
string
lastName
string
companyName
string
jobTitle
string
companyDomain
string
email
string<email>
preferredContactMethod
string
industry
string
Company name
string
_id
string
isPaused
boolean
campaignId
string
contactId
string
emailStatus
string
{key}
string